--###########################################################
-- Modifications for the shared repository : import reference

create table Segment (
    SegmentId bigint generated by default as identity (start with 1),
    Name varchar(255) not null,
    Identifier bigint not null,
    Deprecated bit not null,
    CategoryId bigint not null,
    primary key (SegmentId)
);

create table SegmentCategory (
    CategoryId bigint generated by default as identity (start with 1),
    Name varchar(255) not null,
    Identifier bigint not null,
    Type varchar(255) not null,
    Deprecated bit not null,
    primary key (CategoryId),
    unique (Identifier),
    unique (Name)
);

create table Segment_Module (
    SegmentId bigint not null,
    ComponentId bigint not null,
    primary key (SegmentId, ComponentId)
);

create table Segment_Segmentation (
    SegmentationId bigint not null,
    SegmentId bigint not null,
    primary key (SegmentationId, SegmentId)
);

create table Segmentation (
    SegmentationId bigint generated by default as identity (start with 1),
    primary key (SegmentationId)
);

create table SharedRepoStats (
    StatsId bigint generated by default as identity (start with 1),
    ElementType varchar(255),
    DataType varchar(255),
    DataName varchar(255),
    Language varchar(255),
    Mean float,
    MaxValue float,
    MinValue float,
    Deviation float,
    Elements integer,
    SegmentationId bigint not null,
    primary key (StatsId)
);

create table SqualeParams (
    SqualeParamsId bigint generated by default as identity (start with 1),
    ParamKey varchar(255) not null,
    ParamaValue varchar(255) not null,
    primary key (SqualeParamsId)
);

alter table Segment 
    add constraint FKD8DD37132D40D50F 
    foreign key (CategoryId) 
    references SegmentCategory
    on delete cascade;

alter table Segment_Module 
    add constraint FK25FDCD381A146766 
    foreign key (SegmentId) 
    references Segment
    on delete cascade;

alter table Segment_Module 
    add constraint FK25FDCD38D4A7AD7B 
    foreign key (ComponentId) 
    references Component
    on delete cascade;

alter table Segment_Segmentation 
    add constraint FK4C70016EBBF32679 
    foreign key (SegmentationId) 
    references Segmentation
    on delete cascade;

alter table Segment_Segmentation 
    add constraint FK4C70016E1A146766 
    foreign key (SegmentId) 
    references Segment
    on delete cascade;

alter table SharedRepoStats 
    add constraint FK3C971D48BBF32679 
    foreign key (SegmentationId) 
    references Segmentation
    on delete cascade;
    
--###########################################################
--Modify the squale version
alter table AuditBO alter SQUALE_VERSION set default '6.0' ;

--###########################################################